"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var _1 = __importDefault(require("."));
var yaml = require('js-yaml');
it('dumps correctly', function () {
    _1.default
        .docker('circleci/node:10.3.0')
        .docker('postgres', {
        environment: {
            TZ: '/usr/share/zoneinfo/Africa/Abidjan',
        },
    });
    _1.default
        .define('test')
        .usePackage('yarn')
        .tasks(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n      yarn test\n    "], ["\n      yarn test\n    "])));
    expect(_1.default.toConfig()).toEqual(yaml.safeLoad(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n    version: 2\n    jobs:\n      test:\n        docker:\n          - image: 'circleci/node:10.3.0'\n          - image: 'postgres'\n            environment:\n              TZ: /usr/share/zoneinfo/Africa/Abidjan\n        working_directory: ~/repo\n        steps:\n          - checkout\n          - restore_cache:\n              keys:\n                - 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n                - v2-dependencies-\n          - run: yarn install\n          - save_cache:\n              paths:\n                - node_modules\n              key: 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n          - run: yarn test\n    workflows:\n      version: 2\n      master_jobs:\n        jobs:\n          - test\n      "], ["\n    version: 2\n    jobs:\n      test:\n        docker:\n          - image: 'circleci/node:10.3.0'\n          - image: 'postgres'\n            environment:\n              TZ: /usr/share/zoneinfo/Africa/Abidjan\n        working_directory: ~/repo\n        steps:\n          - checkout\n          - restore_cache:\n              keys:\n                - 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n                - v2-dependencies-\n          - run: yarn install\n          - save_cache:\n              paths:\n                - node_modules\n              key: 'v2-dependencies-{{ checksum \"yarn.lock\" }}'\n          - run: yarn test\n    workflows:\n      version: 2\n      master_jobs:\n        jobs:\n          - test\n      "]))));
});
var templateObject_1, templateObject_2;
//# sourceMappingURL=demo.test.js.map